import { editor, languages } from 'monaco-editor';
export declare class Color {
    private _colors;
    private _count;
    constructor();
    getDocumentColors(list: editor.FindMatch[]): languages.IColorInformation[];
    private get _defultColorsRegStr();
    get colorMatchesRegStr(): string;
    getDocumentColorPresentations(model: editor.ITextModel, { color, range }: languages.IColorInformation): {
        label: string;
    }[] | {
        label: string;
        textEdit: {
            text: string;
            range: import("monaco-editor").IRange;
        };
    }[] | null;
    private _hexFromNumber;
    private _normalize;
    private _denormalize;
    private _normalizeAlpha;
    private _denormalizeAlpha;
    private _extractNewExpression;
    private _colorHexRepresentation;
    private _colorRgbRepresentation;
    private _colorNewRepresentation;
    private _hexToColor;
    private _rgbToColor;
    private _isHexToken;
    private _isRgbColor;
    private _isColorExpression;
}
declare const _default: Color;
export default _default;
